# TBasicDropCandidate Class Reference
[Base Classes for plugins]

Inheritance diagram for TBasicDropCandidate:

List of all members.

## Public Member Functions
| TBasicDropCandidate ()
virtual MCCOMErr MCCOMAPI | QueryInterface (const MCIID &riid, void **ppvObj)
virtual uint32 MCCOMAPI | AddRef ()
virtual MCCOMErr MCCOMAPI | GetData (IDType inFlavor, MFDragDropType inMoveOrCopy, void **outData)
virtual void MCCOMAPI | GetOrigin (void **outOrigin)
virtual void MCCOMAPI | GetOfferedFlavors (TMFDragFlavors &outFlavors)
virtual void MCCOMAPI | PrepareToDrag ()
virtual void MCCOMAPI | FinishedDrag (boolean inSuccessful)
virtual void MCCOMAPI | OnNoDrag ()
virtual boolean MCCOMAPI | NeedToBeDropedOnTree (IDType inFlavor, MFDragDropType inMoveOrCopy)
## Protected Attributes
TMFDragFlavors | fFlavors

## Detailed Description

Basic Drop Candidate class. Derive from this for a default implementation of an IMFExDropCandidate.

See also:
  IMFExDropCandidate

## Constructor & Destructor Documentation

TBasicDropCandidate::TBasicDropCandidate | ( |  | ) |

## Member Function Documentation

virtual uint32 MCCOMAPI TBasicDropCandidate::AddRef | ( |  | ) | `[inline, virtual]`

Increments the reference count of the object

Reimplemented from TBasicPart.

virtual void MCCOMAPI TBasicDropCandidate::FinishedDrag | ( | boolean | inSuccessful | ) | `[virtual]`

Called at the end of the drap.

Parameters:

  | inSuccessful | True ifthe drop was successful.

Implements IMFExDropCandidate.

virtual MCCOMErr MCCOMAPI TBasicDropCandidate::GetData | ( | IDType | inFlavor,
|  | MFDragDropType | inMoveOrCopy,
|  | void ** | outData |
| ) |  |  | `[virtual]`

Returns the data of the object in a given format.

Parameters:

  | inFlavor | The format of the data.
  | inMoveOrCopy | Specifies whether the data should be copied or moved.
  | outData | The data.

Implements IMFExDropCandidate.

virtual void MCCOMAPI TBasicDropCandidate::GetOfferedFlavors | ( | TMFDragFlavors & | outFlavors | ) | `[virtual]`

Returns the list of format in which the data can be converted.

Parameters:

  | outFlavors | The list of formats.

Implements IMFExDropCandidate.

virtual void MCCOMAPI TBasicDropCandidate::GetOrigin | ( | void ** | outOrigin | ) | `[virtual]`

Returns the origin (for example the scene for an instance) of the drop candidate for use in determining whether to move or copy the item (clients should check for non-NULL).

Parameters:

  | outOrigin | A pointer to the origin.

Implements IMFExDropCandidate.

virtual boolean MCCOMAPI TBasicDropCandidate::NeedToBeDropedOnTree | ( | IDType | inFlavor,
|  | MFDragDropType | inMoveOrCopy |
| ) |  |  | `[inline, virtual]`

Implements IMFExDropCandidate.

virtual void MCCOMAPI TBasicDropCandidate::OnNoDrag | ( |  | ) | `[virtual]`

Called when no drag occured.

Implements IMFExDropCandidate.

virtual void MCCOMAPI TBasicDropCandidate::PrepareToDrag | ( |  | ) | `[virtual]`

Called at the beginning of the drap

Implements IMFExDropCandidate.

virtual MCCOMErr MCCOMAPI TBasicDropCandidate::QueryInterface | ( | const MCIID & | riid,
|  | void ** | ppvObj |
| ) |  |  | `[virtual]`

Check if the object supports a given interface and returns a pointer to that interface if it does. Note that QueryInterface will increment the reference count of the object by one if the interface is found.

Parameters:

  | riid | GUID of the interface
  | ppvObj | A pointer to the pointer being returned.

Reimplemented from TBasicPart.

## Member Data Documentation

TMFDragFlavors TBasicDropCandidate::fFlavors`[protected]`

The documentation for this class was generated from the following file:

- BasicMCFCOMImplementations.h